Create a review
POST
/v1/projects/{projectId}/collection-orders/{orderId}/submissions/{submissionId}/reviewscurl -X POST 'https://api.embodiflow.io/v1/projects/{projectId}/collection-orders/{orderId}/submissions/{submissionId}/reviews' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"decision": "accepted",
"reasonCode": "consent_missing",
"reasonDetail": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- orderIdstring必填
- submissionIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- decisionstring必填可选值acceptedrejected
- reasonCodestring可选值consent_missingprivacy_not_clearedrecording_lengthmodality_missinghands_visiblequality_check_failedprocessing_failedprocessing_cancelledreviewer_other
- reasonDetailstring
响应
Success
- dataobject必填
- idstring必填
- orderIdstring必填
- taskIdstring必填
- sceneIdstring | null必填
- collectorMembershipIdstring必填
- recordingIdstring必填
- deliveryBatchIdstring必填
- decisionstring必填可选值pendingacceptedrejectedaccepted_autoin_review
- reasonCodestring | null必填可选值consent_missingprivacy_not_clearedrecording_lengthmodality_missinghands_visiblequality_check_failedprocessing_failedprocessing_cancelledreviewer_other
- reasonDetailstring | null必填
- reviewerMembershipIdstring | null必填
- decidedAtstring | null必填
- countsTowardQuotaone of必填
- recordedDurationSnumber | null必填
- createdAtstring必填
- updatedAtstring必填
- rowVersionnumber必填
响应示例
{
"data": {
"id": "string",
"orderId": "string",
"taskId": "string",
"sceneId": "string",
"collectorMembershipId": "string",
"recordingId": "string",
"deliveryBatchId": "string",
"decision": "pending",
"reasonCode": "consent_missing",
"reasonDetail": "string",
"reviewerMembershipId": "string",
"decidedAt": "string",
"countsTowardQuota": false,
"recordedDurationS": 0,
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1